Bug 996545 - Provide simple toString() IP transformer
Provide simple toString() IP transformer
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ---
: FUTURE
Assigned To: Gary Brown
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 08:08 EDT by Jiri Pechanec
Modified: 2015-11-02 03:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-08-13 08:08:07 EDT
Java-based objects have frequently meaningful representation available in toString() object.

It would be have to have an IP transformer that would just call the toString() method on the information being processed. This could be simulated by using MVEL transformer using
"expression": "information.toString()"

but having dedicated type for this purpose would be useful
Comment 1 Gary Brown 2013-08-14 06:07:02 EDT
With the fix for 996540, it would only be necessary to have the mvel expression "information". So not sure having a specific information processor to return the toString value is necessary.
Comment 2 Alan Santos 2014-03-19 13:39:00 EDT
Jiri - is the mvel expression "information" sufficient or are there situations where that will not work?  If it's sufficient, can you close this?

Note You need to log in before you can comment on or make changes to this bug.